Eclipse中serverRuntime Environment中没有Tomcat选项

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/mmayanshuo/article/details/79461384

背景:

Eclipse版本: Eclipse Java Oxygen

Tomcat版本:Tomcat8

今天在云服务器上安装eclipse中的JavaEE插件后,配置Tomcat。发现在添加 New Server Runtime Environment时没有Tomcat的选项。

原因:eclipse版本不全,缺少javaee组件

网上也没有相应的比较合适的解决方法,我的解决方法是:

在Eclipse中依次点击:

help–>install new software–>在worhwith中选中”oxygen - http://download.eclipse.org/releases/oxygen“(oxygen为eclipse的版本号,找自己相应的版本号)

选中 Web, XML, Java EE and OSGi Enterprise Development 下的 JST Server Adapters,JST Server Adapters Extentions 安装

安装后重启eclipse,这时候就可以在:

window–>preferences–>server–>Runtime Environment –>add–>这时候就可以在Apache中找到Tomcat了。

展开阅读全文

没有更多推荐了,返回首页